=== modified file 'bzrlib/export/tar_exporter.py'
--- bzrlib/export/tar_exporter.py	2011-07-04 21:10:37 +0000
+++ bzrlib/export/tar_exporter.py	2011-07-04 21:15:24 +0000
@@ -26,10 +26,6 @@
     osutils,
     )
 from bzrlib.export import _export_iter_entries
-from bzrlib.filters import (
-    ContentFilterContext,
-    filtered_output_bytes,
-    )
 
 
 def prepare_tarball_item(tree, root, final_path, entry, filtered=False,

=== modified file 'bzrlib/tests/test_filter_tree.py'
--- bzrlib/tests/test_filter_tree.py	2011-07-04 21:10:37 +0000
+++ bzrlib/tests/test_filter_tree.py	2011-07-04 21:15:24 +0000
@@ -17,6 +17,7 @@
 """Tests for ContentFilterTree"""
 
 import tarfile
+import zipfile
 
 from bzrlib import (
     export,
@@ -57,3 +58,11 @@
         self.assertEquals(
             'HELLO WORLD',
             ball.extractfile('out/hello').read())
+
+    def test_zip_export_content_filter_tree(self):
+        self.make_tree()
+        export.export(self.filter_tree, 'out.zip')
+        zipf = zipfile.ZipFile('out.zip', 'r')
+        self.assertEquals(
+            'HELLO WORLD',
+            zipf.read('out/hello'))

